Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Interface RtfBasicElement

All Superinterfaces:
  RtfElementInterface

All Known Subinterfaces:
  RtfExtendedElement

All Known Implementing Classes:
  RtfAddableElement, RtfAnchor, RtfAnnotation, RtfBorder, RtfBorderGroup, RtfCell, RtfChapter, RtfChunk, RtfCodePage, RtfColor, RtfColorList, RtfDirectContent, RtfDocument, RtfDocumentHeader, RtfElement, RtfField, RtfFont, RtfFontList, RtfGenerator, RtfHeaderFooter, RtfHeaderFooterGroup, RtfImage, RtfInfoElement, RtfInfoGroup, RtfList, RtfListItem, RtfListLevel, RtfListTable, RtfNewPage, RtfPageNumber, RtfPageSetting, RtfParagraph, RtfParagraphStyle, RtfPhrase, RtfPictureList, RtfProtectionSetting, RtfRow, RtfSection, RtfShape, RtfShapePosition, RtfShapeProperty, RtfStylesheetList, RtfTab, RtfTabGroup, RtfTable, RtfTableOfContents, RtfTOCEntry, RtfTotalPageNumber

    public interface RtfBasicElement

extends RtfElementInterface

The RtfBasicElement interface defines the interface for elements that can be added to the RtfWriter.

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

Field Summary
`static byte[]` | `CLOSE_GROUP` Constant for the end of an rtf group
`static byte[]` | `COMMA_DELIMITER` Constant for a comma delimiter in rtf
`static byte[]` | `DELIMITER` Constant for a delimiter in rtf
`static byte[]` | `OPEN_GROUP` Constant for the beginning of a rtf group
`static double` | `TWIPS_FACTOR` The factor to use for translating from iText to rtf measurements

Method Summary
`void` | `setInHeader(boolean inHeader)` Sets whether this RtfBasicElement is in a header
`void` | `setInTable(boolean inTable)` Sets whether this RtfBasicElement is in a table
`void` | `setRtfDocument(RtfDocument doc)` Sets the RtfDocument this RtfElement belongs to
`void` | `writeContent(OutputStream out)` Writes the element content to the given output stream.

Field Detail

### OPEN_GROUP

    static final byte[] OPEN_GROUP

  Constant for the beginning of a rtf group

### CLOSE_GROUP

    static final byte[] CLOSE_GROUP

  Constant for the end of an rtf group

### DELIMITER

    static final byte[] DELIMITER

  Constant for a delimiter in rtf

### COMMA_DELIMITER

    static final byte[] COMMA_DELIMITER

  Constant for a comma delimiter in rtf

### TWIPS_FACTOR

    static final double TWIPS_FACTOR

  The factor to use for translating from iText to rtf measurements

  See Also:
    Constant Field Values

Method Detail

### writeContent

    void writeContent(OutputStream out)
                      throws IOException

  Writes the element content to the given output stream.

  Parameters:
    `out` - The `OutputStream` to write the content to
  Throws:
    `IOException`

### setRtfDocument

    void setRtfDocument(RtfDocument doc)

  Sets the RtfDocument this RtfElement belongs to

  Parameters:
    `doc` - The @link{com.lowagie.text.rtf.document.RtfDocument} this `RtfElement` belongs to

### setInTable

    void setInTable(boolean inTable)

  Sets whether this RtfBasicElement is in a table

  Parameters:
    `inTable` - Whether this RtfBasicElement is in a table

### setInHeader

    void setInHeader(boolean inHeader)

  Sets whether this RtfBasicElement is in a header

  Parameters:
    `inHeader` - Whether this RtfBasicElement is in a header

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD